Intrusion Prevention

Apple.CUPS.cupsdDoSelect.Remote.Code.Execution

Description

This indicates an attack attempt against a remote code-execution vulnerability in Apple CUPS.
The vulnerability is caused by an error when the vulnerable software handles a specially crafted packet. It allows a remote attacker to execute arbitrary code.

Affected Products

Apple CUPS 1.3.7
Apple CUPS 1.3.10

Impact

System Compromise

Recommended Actions

Upgrade to the latest versions:
http://www.cups.org/

CVE References

CVE-2009-3553